---
type: api
title: Get a coordinator
description: Retrieve overview of a single coordinator.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-coordinator
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-coordinator
products:
  - Elastic Cloud Enterprise
---

# Get a coordinator

## Paths

- `GET` `/platform/infrastructure/coordinators/{coordinator_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `coordinator_id` (string)
  The identifier for the coordinator

## Description

Retrieve overview of a single coordinator.

## Responses

#### `200`

An overview of a coordinator instance.

`application/json`

- `name` (string)
  Name of this coordinator
- `public_hostname` (string)
  Public hostname of this coordinator
- `leader_port` (integer)
  Leader port of this coordinator
- `election_port` (integer)
  Election port of this coordinator
- `client_port` (integer)
  Client port of this coordinator
- `attributes` (map string to string)
  Attributes of this coordinator
#### `404`

Unable to find coordinator {coordinator_id}. Edit your request, then try again. (code: `coordinators.coordinator_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /platform/infrastructure/coordinators/{coordinator_id}
```

#### curl

```curl
curl -X GET "/platform/infrastructure/coordinators/{coordinator_id}"
```

